> For the complete documentation index, see [llms.txt](https://developers.madkudu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.madkudu.com/organisation.md).

# Organisation

## Get your Organisation information

> Retrieve your organization's profile. Useful for verifying the account authenticated

```json
{"openapi":"3.1.0","info":{"title":"MadAPI","version":"0.0.0"},"tags":[{"name":"Organisation"}],"servers":[{"url":"https://madapi.madkudu.com","description":"Production server","variables":{}},{"url":"https://madapi.wisekudu.com","description":"Staging server","variables":{}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"OrganisationResponse":{"type":"object","required":["_id","domain","name","created_at","updated_at"],"properties":{"_id":{"type":"integer","format":"int32","description":"Organisation ID"},"domain":{"type":"string","description":"Organisation domain"},"name":{"type":"string","description":"Organisation name"},"created_at":{"type":"string","description":"Creation timestamp"},"updated_at":{"type":"string","description":"Last update timestamp"}}}}},"paths":{"/organisation":{"get":{"operationId":"Organisation_getOrganisation","summary":"Get your Organisation information","description":"Retrieve your organization's profile. Useful for verifying the account authenticated","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganisationResponse"}}}}},"tags":["Organisation"]}}}}
```

## Get Organisation Value Proposition

> Retrieves the value proposition for your tenant, containing persona-specific value propositions

```json
{"openapi":"3.1.0","info":{"title":"MadAPI","version":"0.0.0"},"tags":[{"name":"Organisation"}],"servers":[{"url":"https://madapi.madkudu.com","description":"Production server","variables":{}},{"url":"https://madapi.wisekudu.com","description":"Staging server","variables":{}}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"ValueProposition":{"type":"object","required":["persona","valueProp"],"properties":{"persona":{"type":"string","description":"Target persona or role"},"valueProp":{"type":"string","description":"Value proposition for this persona"}}}}},"paths":{"/organisation/value-prop":{"get":{"operationId":"Organisation_getValueProposition","summary":"Get Organisation Value Proposition","description":"Retrieves the value proposition for your tenant, containing persona-specific value propositions","parameters":[],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValueProposition"}}}}}},"tags":["Organisation"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.madkudu.com/organisation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
